mod flip_horizontal;
mod flip_vertical;
mod grid;
mod helios_to_etherdream;
mod homography;
mod intensity;
mod replicate;
mod rotate;
mod translate;

use crate::point::Point;
use crate::worldstate::WorldState;

// re-export transformers to be abe to use it directly from transformer::
pub use translate::Translate;
pub use replicate::Replicate;
pub use rotate::Rotate;
pub use flip_horizontal::FlipHorizontal;
pub use flip_vertical::FlipVertical;
pub use grid::Grid;
pub use self::homography::Homography;
pub use helios_to_etherdream::HeliosToEtherdream;
pub use intensity::Intensity;

pub trait Transformers {
    fn apply(
	&self,
	point_list: &[Point],
	world_state: &WorldState
    ) -> Vec<Point>;
}
